Subject: Re: [PATCH] symbolic-ref: teach "--[no-]recurse" option

From: Junio C Hamano <[email-masked]>
Date: Fri, 07 Oct 2022 21:20:44 -0700

Eric Sunshine <[email-masked]> writes:

> On Fri, Oct 7, 2022 at 6:19 PM Junio C Hamano <[email-masked]> wrote:
>> [...]
>> One thing that is slightly irritating, however, is that I do not
>> think there is a good way (other than "cat .git/HEAD") to learn that
>> you checked out 'maint' to get into that state.  Just like the output
>> of "git branch --show-current" shows above, "git symbolic-ref HEAD"
>> would report 'refs/heads/maint-2.38', bypassing the intermediate
>> symbolic ref at 'refs/heads/maint' that is pointed at by HEAD.
>>
>> The internal resolve_ref() API already has the necessary support for
>> stopping after resolving a single level of a symbolic-ref, and we
>> can expose it by adding a "--[no-]recurse" option to the command.
>>
>> Signed-off-by: Junio C Hamano <[email-masked]>
>> ---
>>  builtin/symbolic-ref.c  | 16 ++++++++++------
>>  t/t1401-symbolic-ref.sh | 14 ++++++++++++++
>>  2 files changed, 24 insertions(+), 6 deletions(-)
>
> Should this be accompanied by a documentation update or is the patch
> intended as an RFC?

It started its life as an RFC but I had an actual need during
today's integration run ;-).  Will try to come up with a
documentation patch when I have time.

Thanks.